commit cee0424cf884a195dd73eb5f89d31d15b34023d7
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Nov 25 22:00:00 2020 +0100

    -a

diff --git a/drupal7/includes/bootstrap.inc b/drupal7/includes/bootstrap.inc
index 7ac17ab7..85209caa 100644
--- a/drupal7/includes/bootstrap.inc
+++ b/drupal7/includes/bootstrap.inc
@@ -8,7 +8,7 @@
 /**
  * The current system version.
  */
-define('VERSION', '7.72');
+define('VERSION', '7.74');
 
 /**
  * Core API compatibility.
diff --git a/drupal7/includes/file.inc b/drupal7/includes/file.inc
index 69ee4cdc..013c435c 100644
--- a/drupal7/includes/file.inc
+++ b/drupal7/includes/file.inc
@@ -1147,8 +1147,8 @@ function file_unmanaged_move($source, $destination = NULL, $replace = FILE_EXIST
  * exploit.php_.pps.
  *
  * Specifically, this function adds an underscore to all extensions that are
- * between 2 and 5 characters in length, internal to the file name, and not
- * included in $extensions.
+ * between 2 and 5 characters in length, internal to the file name, and either
+ * included in the list of unsafe extensions, or not included in $extensions.
  *
  * Function behavior is also controlled by the Drupal variable
  * 'allow_insecure_uploads'. If 'allow_insecure_uploads' evaluates to TRUE, no
@@ -1157,7 +1157,8 @@ function file_unmanaged_move($source, $destination = NULL, $replace = FILE_EXIST
  * @param $filename
  *   File name to modify.
  * @param $extensions
- *   A space-separated list of extensions that should not be altered.
+ *   A space-separated list of extensions that should not be altered. Note that
+ *   extensions that are unsafe will be altered regardless of this parameter.
  * @param $alerts
  *   If TRUE, drupal_set_message() will be called to display a message if the
  *   file name was changed.
@@ -1175,6 +1176,10 @@ function file_munge_filename($filename, $extensions, $alerts = TRUE) {
 
     $whitelist = array_unique(explode(' ', strtolower(trim($extensions))));
 
+    // Remove unsafe extensions from the list of allowed extensions. The list is
+    // copied from file_save_upload().
+    $whitelist = array_diff($whitelist, explode('|', 'php|phar|pl|py|cgi|asp|js'));
+
     // Split the filename up by periods. The first part becomes the basename
     // the last part the final extension.
     $filename_parts = explode('.', $filename);
@@ -1542,25 +1547,35 @@ function file_save_upload($form_field_name, $validators = array(), $destination
     $validators['file_validate_extensions'][0] = $extensions;
   }
 
-  if (!empty($extensions)) {
-    // Munge the filename to protect against possible malicious extension hiding
-    // within an unknown file type (ie: filename.html.foo).
-    $file->filename = file_munge_filename($file->filename, $extensions);
-  }
-
-  // Rename potentially executable files, to help prevent exploits (i.e. will
-  // rename filename.php.foo and filename.php to filename.php.foo.txt and
-  // filename.php.txt, respectively). Don't rename if 'allow_insecure_uploads'
-  // evaluates to TRUE.
-  if (!variable_get('allow_insecure_uploads', 0) && preg_match('/\.(php|phar|pl|py|cgi|asp|js)(\.|$)/i', $file->filename) && (substr($file->filename, -4) != '.txt')) {
-    $file->filemime = 'text/plain';
-    // The destination filename will also later be used to create the URI.
-    $file->filename .= '.txt';
-    // The .txt extension may not be in the allowed list of extensions. We have
-    // to add it here or else the file upload will fail.
+  if (!variable_get('allow_insecure_uploads', 0)) {
     if (!empty($extensions)) {
-      $validators['file_validate_extensions'][0] .= ' txt';
-      drupal_set_message(t('For security reasons, your upload has been renamed to %filename.', array('%filename' => $file->filename)));
+      // Munge the filename to protect against possible malicious extension hiding
+      // within an unknown file type (ie: filename.html.foo).
+      $file->filename = file_munge_filename($file->filename, $extensions);
+    }
+
+    // Rename potentially executable files, to help prevent exploits (i.e. will
+    // rename filename.php.foo and filename.php to filename.php_.foo_.txt and
+    // filename.php_.txt, respectively). Don't rename if 'allow_insecure_uploads'
+    // evaluates to TRUE.
+    if (preg_match('/\.(php|phar|pl|py|cgi|asp|js)(\.|$)/i', $file->filename)) {
+      // If the file will be rejected anyway due to a disallowed extension, it
+      // should not be renamed; rather, we'll let file_validate_extensions()
+      // reject it below.
+      if (!isset($validators['file_validate_extensions']) || !file_validate_extensions($file, $extensions)) {
+        $file->filemime = 'text/plain';
+        if (substr($file->filename, -4) != '.txt') {
+          // The destination filename will also later be used to create the URI.
+          $file->filename .= '.txt';
+        }
+        $file->filename = file_munge_filename($file->filename, $extensions, FALSE);
+        drupal_set_message(t('For security reasons, your upload has been renamed to %filename.', array('%filename' => $file->filename)));
+        // The .txt extension may not be in the allowed list of extensions. We have
+        // to add it here or else the file upload will fail.
+        if (!empty($validators['file_validate_extensions'][0])) {
+          $validators['file_validate_extensions'][0] .= ' txt';
+        }
+      }
     }
   }
 
@@ -1728,7 +1743,18 @@ function file_validate(stdClass &$file, $validators = array()) {
   }
 
   // Let other modules perform validation on the new file.
-  return array_merge($errors, module_invoke_all('file_validate', $file));
+  $errors = array_merge($errors, module_invoke_all('file_validate', $file));
+
+  // Ensure the file does not contain a malicious extension. At this point
+  // file_save_upload() will have munged the file so it does not contain a
+  // malicious extension. Contributed and custom code that calls this method
+  // needs to take similar steps if they need to permit files with malicious
+  // extensions to be uploaded.
+  if (empty($errors) && !variable_get('allow_insecure_uploads', 0) && preg_match('/\.(php|phar|pl|py|cgi|asp|js)(\.|$)/i', $file->filename)) {
+    $errors[] = t('For security reasons, your upload has been rejected.');
+  }
+
+  return $errors;
 }
 
 /**
diff --git a/drupal7/index.php b/drupal7/index.php
index 777511f5..8b831997 100644
--- a/drupal7/index.php
+++ b/drupal7/index.php
@@ -1,5 +1,5 @@
 <?php
-header('location: https://my.centrale-assos.fr/'); exit;
+
 /**
  * @file
  * The PHP page that serves all page requests on a Drupal installation.
diff --git a/drupal7/misc/ajax.js b/drupal7/misc/ajax.js
index 0c9579b0..79a4e9eb 100644
--- a/drupal7/misc/ajax.js
+++ b/drupal7/misc/ajax.js
@@ -149,7 +149,7 @@ Drupal.ajax = function (base, element, element_settings) {
   // The 'this' variable will not persist inside of the options object.
   var ajax = this;
   ajax.options = {
-    url: ajax.url,
+    url: Drupal.sanitizeAjaxUrl(ajax.url),
     data: ajax.submit,
     beforeSerialize: function (element_settings, options) {
       return ajax.beforeSerialize(element_settings, options);
@@ -195,6 +195,7 @@ Drupal.ajax = function (base, element, element_settings) {
       }
     },
     dataType: 'json',
+    jsonp: false,
     type: 'POST'
   };
 
diff --git a/drupal7/misc/autocomplete.js b/drupal7/misc/autocomplete.js
index af090713..09ceeec0 100644
--- a/drupal7/misc/autocomplete.js
+++ b/drupal7/misc/autocomplete.js
@@ -297,8 +297,9 @@ Drupal.ACDB.prototype.search = function (searchString) {
     // encodeURIComponent to allow autocomplete search terms to contain slashes.
     $.ajax({
       type: 'GET',
-      url: db.uri + '/' + Drupal.encodePath(searchString),
+      url: Drupal.sanitizeAjaxUrl(db.uri + '/' + Drupal.encodePath(searchString)),
       dataType: 'json',
+      jsonp: false,
       success: function (matches) {
         if (typeof matches.status == 'undefined' || matches.status != 0) {
           db.cache[searchString] = matches;
diff --git a/drupal7/misc/drupal.js b/drupal7/misc/drupal.js
index 19fbc712..7a3f5f59 100644
--- a/drupal7/misc/drupal.js
+++ b/drupal7/misc/drupal.js
@@ -424,6 +424,23 @@ Drupal.urlIsLocal = function (url) {
   return absoluteUrl === baseUrl || absoluteUrl.indexOf(baseUrl + '/') === 0;
 };
 
+/**
+ * Sanitizes a URL for use with jQuery.ajax().
+ *
+ * @param url
+ *   The URL string to be sanitized.
+ *
+ * @return
+ *   The sanitized URL.
+ */
+Drupal.sanitizeAjaxUrl = function (url) {
+  var regex = /\=\?(&|$)/;
+  while (url.match(regex)) {
+    url = url.replace(regex, '');
+  }
+  return url;
+}
+
 /**
  * Generate the themed representation of a Drupal object.
  *
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index 5f3bcf2a..cf792429 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,7 +7,7 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index c7dfd4a3..8ceba68c 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index 1c2a2cd9..9b0976ca 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index 427f262e..5727aa08 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index ea183dc8..a78aff24 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,7 +13,7 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index 2cde6721..ea3a71fe 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index 50a53e79..422ea5ea 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,7 +7,7 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index 562c7848..b1cbf41b 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index ba968ad5..b7c27850 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,7 +9,7 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index 31216db2..8307a510 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index 19bccae3..a9f5729f 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index 614445d3..2d4ce062 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,7 +7,7 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index 986386a6..fbb32108 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index 33ebbf0a..3116751c 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,7 +11,7 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index 69a15ce7..b2c18173 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,7 +7,7 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index c2d52ce2..5c6437a3 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,7 +7,7 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 57abe34f..20665b49 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,7 +5,7 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index 4c708da2..352a3ea2 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index 4e181e04..a60b6324 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index b74ff1a6..28fa6087 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,7 +7,7 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index 68c954e5..28e95aeb 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,7 +6,7 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index 99ca46c5..8d9e09ae 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index 81914164..a3d67f0e 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index 2f61bd63..8ccb519f 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index 6e4e5ad0..04d17145 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,7 +7,7 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index e27c59d2..e25a7fe5 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,7 +9,7 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index c295f71a..3ee5800b 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index a4c08d26..f16b9efe 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,7 +7,7 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index a9b376dd..636e8547 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index 48f7163a..5614346a 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index 73c0932e..4e939d41 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,7 +5,7 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index 9859f9f4..9ef85ee0 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index 389bf7dd..f1b04cf6 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,7 +9,7 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index 3423d696..1a669c58 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index 0b17cbf3..3020b2c2 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index 91968bab..b429bcb6 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index b2a0f03f..63427d5a 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,7 +5,7 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index 2b200f43..140575c4 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index 53b05d30..a2857361 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,7 +4,7 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index 1a9a034f..70c21e2b 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index 26fcde41..ed296400 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index be8aeb18..e0449a34 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2020-06-17
-version = "7.72"
+; Information added by Drupal.org packaging script on 2020-11-18
+version = "7.74"
 project = "drupal"
-datestamp = "1592419104"
+datestamp = "1605718477"
